.header-nav {
    position: relative;
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
}

.header-nav__item {
    position: relative;
}

.header-nav__item--parent:hover .header-submenu {
    display: block;
}

.header-nav__link {
    display: block;
    padding: 10px 15px;
    text-decoration: none;
    color: #333;
}

.header-submenu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    background: white;
    min-width: 200px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    list-style: none;
    margin: 0;
    padding: 3px 0;
    z-index: 1000;
    border-radius: 3px;
}

.header-submenu__link {
    display: block;
    padding: 8px 15px;
    text-decoration: none;
    color: #333 !important;
    /*border-bottom: 1px solid #eee;*/
}

.header-submenu__link:hover {
    background: #f5f5f5;
}
span.header-nav__link--no-link {
    display: block;
    color: #fff;
    font-size: 12px;
    cursor: default;
}
.header-nav__link--with-arrow {
    position: relative;
    padding-right: 25px !important;
}

.header-nav__link--with-arrow::after {
    content: "";
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    width: 9px;
    height: 9px;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='17' height='17' fill='none' viewBox='0 0 17 17'%3E%3Cpath fill='%23fff' d='M7.75 13.5c.415.415 1.089.415 1.504 0l6.375-6.375a1.064 1.064 0 0 0-1.504-1.504L8.5 11.246 2.875 5.625a1.064 1.064 0 0 0-1.504 1.504l6.375 6.375.004-.004Z'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    transition: transform 0.3s ease;
}

.header-nav__item--parent:hover .header-nav__link--with-arrow::after {
    transform: translateY(-50%) rotate(180deg);
}